import { ui } from "../ui/layaMaxUI";
import { PlayerManager } from "../Manager/PlayerManager";
export class InGameView extends ui.InGameViewUI{
    private static ins:InGameView;
    constructor(){
        super();
        InGameView.ins = this;
    }
    public static get Instance():InGameView{
        if(InGameView.ins == null){
            return new InGameView();
        }
        return InGameView.ins;
    }
    OnShow(){
        console.log("游戏界面");
        this.click.play(null,true);
        this.on(Laya.Event.MOUSE_DOWN,this,this.ClickStart);
    }
    ClickStart(){
        this.click.stop();
        this.hand.visible = false;
        this.off(Laya.Event.MOUSE_DOWN,this,this.ClickStart);
    }
    OnHide(){
        
    }
}